org.apache.lucene.queryparser.xml.builders

## Class LegacyNumericRangeQueryBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.xml.builders.LegacyNumericRangeQueryBuilder

- All Implemented Interfaces:
    QueryBuilder

  Deprecated.
  Index with points and use `PointRangeQueryBuilder` instead

      @Deprecated
      public class LegacyNumericRangeQueryBuilder
      extends Object
      implements QueryBuilder

  Creates a `LegacyNumericRangeQuery`. The table below specifies the required attributes and the defaults if optional attributes are omitted. For more detail on what each of the attributes actually do, consult the documentation for `LegacyNumericRangeQuery`:

  Attribute name | Values | Required | Default
  --- | --- | --- | ---
  fieldName | String | Yes | N/A
  lowerTerm | Specified by `type` | No | Null
  upperTerm | Specified by `type` | No | Null
  type | int, long, float, double | No | int
  includeLower | true, false | No | true
  includeUpper | true, false | No | true
  precisionStep | Integer | No | 4

  A `ParserException` will be thrown if an error occurs parsing the supplied `lowerTerm` or `upperTerm` into the numeric type specified by `type`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyNumericRangeQueryBuilder()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `getQuery(Element e)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyNumericRangeQueryBuilder

          public LegacyNumericRangeQueryBuilder()

      Deprecated.

  - ### Method Detail

    - #### getQuery

          public Query getQuery(Element e)
                         throws ParserException

      Deprecated.
      Specified by:
        `getQuery` in interface `QueryBuilder`
      Throws:
        `ParserException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.